RewriteEngine On

RewriteCond %{REQUEST_METHOD} !POST

RewriteCond %{THE_REQUEST} /([^.]+)\.php [NC]

RewriteRule (.*) /%1 [R=302,L]  



RewriteCond %{REQUEST_FILENAME}\.php -f

RewriteRule ^(.*)$ $1.php



RewriteCond %{THE_REQUEST} /([^.]+)\.html [NC]

RewriteRule (.*) /%1 [R=302,L]  

RewriteCond %{REQUEST_FILENAME}\.html -f

RewriteRule ^(.*)$ $1.html



RewriteCond %{HTTPS} off

RewriteRule ^(.*)$ https://%{HTTP_HOST}%{REQUEST_URI} [L,R=301]